Package org.eclipse.emf.cdo.security

## Interface ExpressionFilter

- All Superinterfaces:
    `CDOObject`, `CDOWithID`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`, `ObjectFilter`, `PermissionFilter`
  All Known Implementing Classes:
    `ExpressionFilterImpl`

      public interface ExpressionFilter
      extends ObjectFilter

  A representation of the model object 'Expression Filter'.
  Since:
    4.3

    The following features are supported:

    - `Expression`
  See Also:
    `SecurityPackage.getExpressionFilter()`
  Generated
  Model

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Expression` | `getExpression()` | Returns the value of the 'Expression' containment reference.
    `void` | `setExpression​(Expression value)` | Sets the value of the '`Expression`' containment reference.

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.cdo.security.PermissionFilter

      `format, isApplicable, isImpacted`

- - ### Method Detail

    - #### getExpression

          Expression getExpression()

      Returns the value of the 'Expression' containment reference.

      If the meaning of the 'Expression' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Expression' containment reference.
      See Also:
        `setExpression(Expression)`, `SecurityPackage.getExpressionFilter_Expression()`
      Generated
      Model
        containment="true" required="true"

    - #### setExpression

          void setExpression​(Expression value)

      Sets the value of the '`Expression`' containment reference.
      Parameters:
        `value` - the new value of the 'Expression' containment reference.
      See Also:
        `getExpression()`
      Generated